Subject: pine on Mac OS X.

From: Matt Ackeret <[email-masked]>
Date: Mon, 23 Oct 2000 18:55:36 -0700 (PDT)

forwarded for a nonsubscriber.

---------- Forwarded message ----------
From: Soren Spies <[email-masked]>
Matt, this might not make it to the [email-masked] since I'm not on the list (ie. might get rejected) ... forward it for me if you don't see it or you know that non-members aren't allowed to post it to the list.

I actually figured out how to get it to build all at once.  :)

On Monday, October 23, 2000, at 05:32 PM, Matt Ackeret wrote:

> Date: Sun, 22 Oct 2000 23:34:00 -0500 
> From: "Raghuram Kalletla" <[email-masked]> 
> To: <[email-masked]> 
> Subject: problems compiling PINE in Macintosh OS X 
> Message-ID: <001c01c03caa$77e24bc0$8338aec7@computer> 
>  
> Hey all, 
>             I've been trying to install PINE on Macintosh OS X (Public = 
> Beta) from the command prompt without success. Does anybody on the list = 
> have experience in compiling PINE on Darwin? I could not find an = 
> appropriate port for OS X so I've used "nxt", "mct" while using the = 
> "./build" command and here's what I got in the end:=20 

I remember getting stuff like that ... it was a bummer
  
> The other ports I tried were: aux, bsd, bsf, gen, and mac. When I used = 
> these, I got this message at the end of the compilation: 

I also tried bsd and bsf ... bsf nearly did the trick (see below)

> Any help to find the appropriate port and/or tips will be appreciated. 

This is the story of how I got pine 4.21 to compile.  It is initially ugly and but does result in a nice packaged solution if someone who can make these changes will do them to the next release of pine.

log-based directions (see below before you do this):
0) cd pine; cp makefile.bsf makefile.dar;
1) cd ../pico; cp makefile.bsf makefile.dar
2) comment out -ltermcap from line 47 of makefile.dar
3) cd ../pine; comment out -ltermlib from line 64 of makefile.dar
4) cd ..; build dar [get pico and pilot]
5) delete only line "-lcrypt" in c-client/LDFLAGS
6) build dar [get pine]
7) cd imapd; make
8) cd ..; build dar [get imapd]
9) cd imap; make
10) cd ..; build dar [get mtest]

[these do work ...]
yuck ... hey, wait a second

real directions:
1) cd pine; cp makefile.bsf makefile.dar;
2) cd ../pico; cp makefile.bsf makefile.dar
3) delete -ltermcap from line 47 of makefile.dar
4) cd ../pine; delete -ltermlib from line 64 of makefile.dar
5) cd ../imap; add "dar" to target line containing bsf in Makefile
6) cd src/osdep/unix; around line 192 of Makefile, create a new section
   called "dar" that is the same as bsf and looks a bit like this (remember
   I have pine 4.21: change name and drop the -lcrypt and preceeding \):

dar:    # Darwin (aka Mac OS X)
        $(BUILD) `cat EXTRASPECIALS` OS=bsi SIGTYPE=psx \
         SPOOLDIR=/var \
         ACTIVEFILE=/usr/local/news/lib/active \
         RSHPATH=/usr/bin/rsh \
         BASECFLAGS="-g -O -pipe -DNFSKLUDGE"
7) cd ../../../..; build dar

I get (woohoo after much labor!):
Links to executables are in bin directory:
__TEXT  __DATA  __OBJC  others  dec     hex
3194880 233472  0       712704  4141056 3f3000  bin/pine
589824  12288   0       634880  1236992 12e000  bin/mtest
634880  20480   0       688128  1343488 148000  bin/imapd
270336  12288   0       24576   307200  4b000   bin/pico
266240  12288   0       24576   303104  4a000   bin/pilot
Done

Let me know if you have any trouble,
Soren

P.S. gotta wonder what the "*** TEMPORARY for PINE 4.10 BUILD" messages were doing in my pine 4.21 distribution.

--
Soren Spies
Apple Computer, Inc.

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------